Skip to main content
Mail

Get suppressed destination

Check if a specified email address is a suppressed destination.

GET
/gb/mail/suppressed-destination

If you attempt to send a message to an address that's on the suppression list, Catch-e accepts the message, but does not send it.

Email addresses on the suppression list remain there until you remove them.

Gmail doesn't provide complaint data. If a recipient uses the Spam button in the Gmail web client to report a message that they receive from you as spam, they aren't added to the suppression list.

Description of suppression reasons:

BOUNCE

A bounce occurs when an email cannot be delivered to its intended recipient.

Bounces can happen due to various reasons, such as invalid email addresses, full mailboxes, or temporary issues with the recipient’s mail server.

COMPLAINT

Complaints occur when recipients mark your emails as spam or unwanted.

Recipients may report your emails as spam, which triggers a complaint.

This method requires the Mail:SuppressedDestinationGet permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
email_addressstringqueryrequired

Email Address

Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Email Address is suppressed

email_addressstring
last_update_timestring
reasonenum<string>
Available options: BOUNCE, COMPLAINT